Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 167481 - dev-libs/icu doesn't compile static libraries
Summary: dev-libs/icu doesn't compile static libraries
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: PHP Bugs
URL:
Whiteboard:
Keywords:
: 167851 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-02-18 14:51 UTC by Olivier DOLE
Modified: 2007-08-27 10:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier DOLE 2007-02-18 14:51:48 UTC
When installing ICU, shared libs are built but no static libs. As a matter of fact to build ICU static libs, you need to explicitly enable it during "./configure" operation by adding "--enable-static" option.
An easy way to fix this is to add "static" flag to the ICU ebuild.

Reproducible: Always

Steps to Reproduce:
1.emerge icu
2.ls /usr/lib/libsicu*

Actual Results:  
/usr/lib/libsicu*: No such file or directory

Expected Results:  
/usr/lib/libsicudata.a
/usr/lib/libsicui18n.a
/usr/lib/libsicuio.a
/usr/lib/libsicule.a
/usr/lib/libsiculx.a
/usr/lib/libsicutu.a
/usr/lib/libsicuuc.a

Possible patch for icu ebuild is the following:
--- /usr/portage/dev-libs/icu/icu-3.6.ebuild    2006-12-28 08:35:57.000000000 +0100
+++ /usr/portage/dev-libs/icu/icu-3.6-r1.ebuild 2007-02-18 15:50:02.981328557 +0100
@@ -9,7 +9,7 @@
 LICENSE="as-is"
 SLOT="0"
 KEYWORDS="amd64 arm hppa ~mips ppc ~ppc-macos ppc64 s390 sh sparc x86 ~x86-fbsd"
-IUSE=""
+IUSE="static"

 DEPEND=""
 RDEPEND=""
@@ -17,7 +17,7 @@
 S=${WORKDIR}/${PN}/source

 src_compile() {
-       econf || die "econf failed"
+       econf $(use_enable static) || die "econf failed"
        emake -j1 || die "emake failed"
 }
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2007-02-18 15:02:49 UTC
No, use flags are wrong, it should install both without any flags.
Comment 2 Olivier DOLE 2007-02-21 09:01:56 UTC
(In reply to comment #1)
> No, use flags are wrong, it should install both without any flags.
> 

So you mean that the correct way to fix that is to simply change the ebuild as follow:
econf --enable-static || die "econf failed"
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2007-02-21 09:13:00 UTC
(In reply to comment #2)
> So you mean that the correct way to fix that is to simply change the ebuild as
> follow:
> econf --enable-static || die "econf failed"

Yeah... 

Comment 4 Jakub Moc (RETIRED) gentoo-dev 2007-02-21 09:39:28 UTC
*** Bug 167851 has been marked as a duplicate of this bug. ***
Comment 5 Jakub Moc (RETIRED) gentoo-dev 2007-08-21 18:33:01 UTC
Fixed in PHP overlay [1], plus USE=debug as an added bonus. ;)

http://overlays.gentoo.org/proj/php/browser/portage/dev-libs/icu
Comment 6 Jakub Moc (RETIRED) gentoo-dev 2007-08-27 10:56:35 UTC
Fixed in 3.6-r1.